<h1><?php _e('OC List Settings', 'everyboard'); ?></h1>

<form method="POST" id="oclist_settings_form">
    <div class="settings--section">
        <h3><?php _e('List Query', 'everyboard'); ?></h3>
        <p>
            <textarea name="list_query" placeholder="*:*" rows="5" cols="60"><?php print $options['list_query']; ?></textarea>
        </p>
        <p class="description">
            <?php _e('The query that determines which lists will be fetched from Open Content and available in your boards.', 'everyboard'); ?>
        </p>
        <p class="description">
            <?php _e('The query will only fetch the content type "List", default query fetches all lists available.', 'everyboard'); ?>
        </p>

    </div>

    <div class="settings--section">
        <h3><?php _e('Published property', 'everyboard'); ?></h3>

        <p>
            <?php _e('Property', 'everyboard'); ?>:
            <select name="published_property">
                <option value=""><?php _e('None', 'everyboard'); ?></option>
                <?php foreach($bool_properties as $property) {

                    $selected = '';
                    if($property === $options['published_property']) {
                        $selected = 'selected="selected"';
                    }

                    print '<option value="' . $property . '" ' . $selected . '>' . $property . '</option>';
                } ?>
            </select>
        </p>

        <p class="description">
            <?php _e('The property to use when checking if an article is published or not, has to be of type bool.', 'everyboard'); ?>
        </p>
    </div>


   <div class="settings--section">
        <h3><?php _e('Article relation property', 'everyboard'); ?></h3>

        <p>
            <?php _e('Property', 'everyboard'); ?>:
            <select name="article_relation_property">
                <option value=""><?php _e('None', 'everyboard'); ?></option>
                <?php foreach($article_relation_properties as $property) {

                    $selected = '';
                    if($property === $options['article_relation_property']) {
                        $selected = 'selected="selected"';
                    }

                    print '<option value="' . $property . '" ' . $selected . '>' . $property . '</option>';
                } ?>
            </select>
        </p>

        <p class="description">
            <?php _e('The article relation property (hierarchical property) to use when fetching data for articles in the list.', 'everyboard'); ?>
        </p>
    </div>

    <div class="settings--section">

        <h3><?php _e('Notifier for Lists', 'everyboard'); ?></h3>

        <?php
            $oc_api = new OcAPI();
            $oc_properties = $oc_api->get_content_types();
        ?>


        <p>
            <label>Notifier URL:</label>
            <input type="text" id="oc_notifier20_url" name="notifier_url" size="35" placeholder="http://url" value="<?php echo $options['notifier_url']; ?>" />
        </p>

        <p class="notifier20_binding">

                <?php if(isset($options['notifier_bindings'])) { ?>

                        <?php foreach($options['notifier_bindings'] as $binding => $value) { ?>
                            <div>
                                <select <?php echo $options['notifier_registered'] ? 'disabled' : ''; ?>
                                        class="bindings_selector">
                                    <?php foreach ($oc_properties['List'] as $property):
                                        if (isset($property[0])): ?>
                                            <option <?php if ($property[0] === $binding) echo 'selected'; ?>
                                                    value="<?php echo $property[0]; ?>"><?php echo $property[0]; ?></option>
                                        <?php endif;
                                    endforeach; ?>
                                </select>

                                <input <?php echo $options['notifier_registered'] ? 'disabled' : ''; ?> type="text"
                                                                                                         class="binding_input"
                                                                                                         value="<?php echo $value; ?>"
                                                                                                         name="oc_options[oc_notifier_bindings][<?php echo $binding; ?>]"/>
                                <?php if(!$options['notifier_registered']) { ?>
                                    <input type="button" class="delete_binding" value="Remove"/>
                                <?php } ?>
                            </div>
                        <?php } ?>
                <?php } ?>

                <?php if (!$options['notifier_registered']) { ?>
                    <input type="button" id="oc_notifier20_add_binding" class="button" value="add binding" data-contenttype="List"/>
                <?php } ?>
        </p>
        <p>
                <input type="button" id="oc_notifier20_button" class="button" data-type="oclist"
                       data-unregister="<?php echo empty($options['notifier_registered']) ? "false" : "true"; ?>"
                       value="<?php echo empty($options['notifier_registered']) ? __('Register', 'every') : __('Deregister', 'every'); ?>"/>
        </p>
    </div>

    <input type="hidden" name="oclist_settings_form_posted" value="true" />
    <input type="submit" value="Save" style="margin-top: 25px;">
</form>